import Vue from 'vue'
import VueRouter from 'vue-router'
import HomeView from '../views/HomeView.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'home',
    component: HomeView
  },
  {
    path: '/about',
    name: 'about',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: function () {
      return import(/* webpackChunkName: "about" */ '../views/AboutView.vue')
    }
  },
  {
    path: '/vuex-demo',
    name: 'vuex-demo',
    component: function () {
      return import(/* webpackChunkName: "vuex-demo" */ '../components/VuexDemo.vue')
    }
  },
  {
    path: '/auto-sync',
    name: 'auto-sync',
    component: function () {
      return import(/* webpackChunkName: "auto-sync" */ '../components/AutoSyncHub.vue')
    }
  },
  {
    path: '/css-basics',
    name: 'css-basics',
    component: function () {
      return import(/* webpackChunkName: "css-basics" */ '../components/CssBasics.vue')
    }
  },
  {
    path: '/css-layout',
    name: 'css-layout',
    component: function () {
      return import(/* webpackChunkName: "css-layout" */ '../components/CssLayout.vue')
    }
  },
  {
    path: '/css-animation',
    name: 'css-animation',
    component: function () {
      return import(/* webpackChunkName: "css-animation" */ '../components/CssAnimation.vue')
    }
  }
]

const router = new VueRouter({
  routes
})

export default router
