// 计算器模块
export default {
  namespaced: true,
  state: {
    initialValue: 10,
    precision: 2,
    history: ['初始值: 10'],
    lastResult: 10
  },
  getters: {
    history: state => state.history,
    initialValue: state => state.initialValue,
    precision: state => state.precision,
    lastResult: state => state.lastResult
  },
  mutations: {
    ADD_HISTORY(state, operation) {
      state.history.push(operation);
    },
    CLEAR_HISTORY(state) {
      state.history = [];
    },
    SET_INITIAL_VALUE(state, value) {
      state.initialValue = value;
    },
    SET_PRECISION(state, precision) {
      state.precision = precision;
    },
    SET_RESULT(state, result) {
      state.lastResult = result;
    }
  },
  actions: {
    addHistory({ commit }, operation) {
      commit('ADD_HISTORY', operation);
    },
    clearHistory({ commit }) {
      commit('CLEAR_HISTORY');
    },
    setInitialValue({ commit }, value) {
      commit('SET_INITIAL_VALUE', value);
    },
    setPrecision({ commit }, precision) {
      commit('SET_PRECISION', precision);
    },
    handleCalculation({ commit }, data) {
      commit('ADD_HISTORY', data.operation);
      commit('SET_RESULT', data.result);
    }
  }
} 